<?
/*
=====================================================
 Volkov NET!! - by SaNcHeS Group 
-----------------------------------------------------
 http://AllForCS.RU/
-----------------------------------------------------
 Copyright (c) 2009 SaNcHeS Group
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Файл: reg.php
-----------------------------------------------------
 Назначение: Регистрация
=====================================================
*/
include("./config.php");



if ($_GET['reg'] == "me" && $_POST['login']){


$n_login=$_POST['login'];
$n_pass=$_POST['pass'];
$n_mail=$_POST['mail'];
$n_rname=$_POST['rname'];
$n_age=(int)$_POST['age'];
$n_city=$_POST['city'];
$n_icq=(int)$_POST['icq'];
$n_www=$_POST['www'];
$n_key=md5(uniqid(rand(),1));
$n_ip=$HTTP_SERVER_VARS["REMOTE_ADDR"];

// Пошла проверка :)
if (safe_login($n_login)==0 or safe_login($n_pass)==0 or safe_login($n_mail)==0 or safe_login($n_rname)==0 or safe_login($n_age)==0){$aut_error .= "<br><br>Некорректные символы в одном из полей.";}

// Проверяем заполнены ли обязательные поля
if ($n_login=="" or $n_pass=="" or $n_mail=="" or $n_rname=="" or $n_age==""){$aut_error .= "<br><br>Не заполнено одно из обязательных полей.";}

// Проверяем корректность введенных данных в обязательные поля
if ((strlen($n_login) > 15) || (!$n_login) || (ereg("[^a-zA-Z0-9_-]",$n_login))){$aut_error .= "<br><br>Логин может состоять только из букв латинского алфавита и цыфр.";}
if ((strrpos($n_pass,' ') > 0) || (strlen($n_pass) > 15) || (!$n_pass) || (ereg("[^a-zA-Z0-9_-]",$n_pass))){$aut_error .= "<br><br>Пароль может состоять только из букв латинского алфавита и цыфр.";}$n_pass=md5($n_pass);
if ((strrpos($n_mail,' ') > 0) || (!$n_mail) || (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$",$n_mail))){$aut_error .= "<br><br>Указан некорректный e-mail адрес.";}
if ((strlen($n_rname) > 20) || ($n_rname == "") || (safe_login($n_rname)==0)){$aut_error .= "<br><br>Скрипту не понравилось ваше имя.";}
if ((strrpos($n_age,' ') > 0) || (strlen($n_age) > 2) || (!$n_age) || ($n_age < 7) || ($n_age > 70) || (!is_numeric($n_age))){$aut_error .= "<br><br>Некорректно указан ваш возраст.";}

// Проверяем корректность введенных данных в не обязательные поля
if ($n_city != ""){if ((strlen($n_city) > 20) || (ereg("[^a-zA-Zа-яА-Я_-]",$n_city))){$aut_error .= "<br><br>Некорректно указан город.";};}

if ($n_icq != ""){if ((strlen($n_icq) > 9) || (strlen($n_icq) < 5) || (!is_numeric($n_icq))){$aut_error .= "<br><br>Некорректный ICQ номер.";};}
if ($n_www != ""){if ((!ereg("[.]",$n_www)) || (strlen($n_www) < 80) || (ereg("[^a-zA-Z0-9~.:/]",$n_www))){}else{$aut_error .= "<br><br>URL введенного сайта содержит недопустимые символы.";}}
$n_www = str_replace("http://","",strtolower($n_www));

include("./info.php");

// Проверка: существует ли логин
@$sql=mysql_query("SELECT * FROM `m3_users` WHERE `login` = '$n_login' LIMIT 1;") or die (mysql_error());
if(!empty($sql)){
while($row = @mysql_fetch_array($sql, MYSQL_ASSOC)){
if ($n_login == $row['login']){$aut_error .= "<br><br>Пользователь с таким именем уже существует.";}
}
}
@mysql_free_result($sql);

// Проверка: существует ли мыло
@$sql=mysql_query("SELECT * FROM `m3_users` WHERE `mail` = '$n_mail';") or die (mysql_error());
if(!empty($sql)){

while($row = @@mysql_fetch_array($sql, MYSQL_ASSOC)){
if ($n_mail == $row['mail']){$aut_error .= "<br><br>Пользователь с таким e-mail'ом уже существует.";}
@mysql_free_result($sql);}
}

include("./info.php");

@$result2 = mysql_query("INSERT INTO `m3_users` ( `login`, `passwd`, `fname`, `age`, `city`, `mail`, `mail_chk`, `icq`, `ip`, `access`, `www`, `key`, `date`) VALUES ( '$n_login', '$n_pass', '$n_rname', '$n_age', '$n_city', '$n_mail', '0', $n_icq, '".$HTTP_SERVER_VARS["REMOTE_ADDR"]."', '0', '$n_www', '$n_key', '".date("Y-m-d")."');") || die (mysql_error());
@mysql_free_result($result2);
$message.="
Ваш e-mail был указан при регистрации на сайте $WWW
Для подтверждения регистрации, необходимо перейти по этой ссылке:
".$WWW."inc/reg.php?do=add&key=$n_key
Если вы не регистрировались, то просьба нажать на эту ссылку:
".$WWW."inc/reg.php?do=del&key=$n_key

Регистрация проходила с IP: $n_ip

-------------------------------

Vash e-mail bil ukazan pri registracii na sayte $WWW
Dlya podtverzhdeniya registracii, neobhodimo pereyti po etoy ssilke:
".$WWW."inc/reg.php?do=add&key=$n_key
Esli vi ne registrirovalis`, to pros`ba nazhat` na etu ssilku:
".$WWW."inc/reg.php?do=del&key=$n_key

Registraciya prohodila s IP: $n_ip";



@mail($n_mail, 'Registration on '.$WWW, $message, "From: $mail_from");


$greenway .= "<br><br>Регистрация успешно завершена.<br><a href=".$WWW."inc/reg.php?do=add&key=$n_key </a>Активируйте ваш аккаунт.<br>";

include("./info.php");

}

if ($_GET['do']=="add" && isset($_GET['key'])){
if (safe_login($_GET['key']) == 1 and strlen($_GET['key']) == 32){
@$result = mysql_query("UPDATE `m3_users` SET `mail_chk` = '1', `access` = '$ACCESS' WHERE `key` = '".$_GET['key']."' LIMIT 1;") or die (mysql_error());
if ($result){
if ($ACCESS > 0){
$greenway .= "<br><br>Регистрация успешно завершена.<br>Регистрационная информация подтверждена.<br>Для доступа к интерфейсу модерирования воспользуйтесь ссылкой:<br><a href='".$WWW."m3_moder/'>".$WWW."m3_moder/</a>";
include("./info.php");}
else{$greenway .= "<br><br>Регистрация успешно завершена.<br>Регистрационная информация подтверждена.<br>Для доступа к интерфейсу модерирования дождитесь проверки<br>регистрационной информации администратором:<br><a href='".$WWW."m3_moder/'>".$WWW."m3_moder/</a>";
include("./info.php");}
}}
}

if ($_GET['do']=="del"){
if (safe_login($_GET['key']) == 1 and strlen($_GET['key']) == 32){
@$result = mysql_query("DELETE FROM `m3_users` WHERE `key` = '".$_GET['key']."' LIMIT 1;") or die (mysql_error());
if ($result){
$greenway .= "<br><br>Регистрационная информация удалена.";
include("./info.php");}
}}




?>